# Taeguk Gaming Creatures

A collection of creatures from VARPG server.

This has been uploaded separately to reduce VARPG modpack file size and avoid bugs on download. Feel free to use for your own modpack or server. Note that the default configuration is set up for VARPG setting so you may need to customize it accordingly. Uses Azumatt's/Blaxxun's Creature Manager with Serversync. Requires to have the dll both in the client and in the server if running on dedicated servers.

A VARPG Solo Experience (SE) modpack is available. This has all the necessary dependencies that were distinctively chosen to fit the VARPG experience. Modpack link: https://valheim.thunderstore.io/package/TaegukGaming/Valheim_Advance_SE/

You may also join our friendly community with dedicated modded servers in Asia and the US. Please visit our website at https://bit.ly/taegukgaming to learn more.

# Links
- Website: https://bit.ly/taegukgaming
- Server Trailer Video: https://www.youtube.com/watch?v=dZdgzvlzE5E
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://bit.ly/Support-TG

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">
    Patchnotes
</span></b></summary>

| Version Number | Change(s)        |
|:---------------|:-----------------|
| v1.3.1         | Release Version. |
| v1.3.2         | - Created seperate configs for Avid NPCs (Forest, Swamps, Mountains, Plains, and Mistlands.<br> - Added default configuration on most creatures. (see below for details)<br> - Removed Ulv spawn from Avid of the Mountains.<br> - Set all NPC and minibosses faction to boss so other creatures will not attack them and vice versa. |
| v1.3.3         | - Fixed Event Trolls and Golems defensive affinity. Fire weak on frost and frost weak on fire. Note: This creatures are meant for events but feel free to modify cfg for your own use. |
| v1.3.4         | - Updated Event Creatures spawn and death messages.<br> - Changed cultist bosses alert sfx. |
| v1.4.0         | Recompiled for Patch 0.213.4 |

</details>

# Prefab Names
<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Bosses</span></b></summary>
  
- Damon - Your worst nightmare in Valheim so far. Will spawn in Ashlands at night after defeating Yagluth. - Prefab: NPC_Damon
- Celestial Queen - Stronger version of the Queen of the Mistlands. Will only spawn after Avid of the Mist death. - Prefab: SeekerQueenCelestial
- Celestial Yagluth - Stronger version of Yagluth. Will spawn after Avid of the Plains' death. - Prefab: GoblinKingCelestial
- Celestial Moder - Stronger version of Moder. Will spawn after Avid of the mountains' death. - Prefab: DragonCelestial
- Celestial Bonemass - Stronger version of Bonemass. Will spawn after Avid of the Swamp's death. - Prefab: BonemassCelestial
- Celestial Eikthyr - Stronger version of Eikthyr. Will spawn after Avid of the Forest's death. - Prefab: EikthyrCelestial
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Cultists T2</span></b></summary>
  
- Avid of the Mist - Spawns in the Mistlands at night after defeating Yagluth. - Prefab: NPC_AvidMistlands
- Avid of the Swamps - Spawns in the Swamps at night after defeating Bonemass. - Prefab: NPC_AvidSwamp
- Avid of the Plains - Spawns in the Plains at night after defeating Yagluth. - Prefab: NPC_AvidPlains
- Avid of the Mountains - Spawns in the Mountains at night after defeating Moder. - Prefab: NPC_AvidMountain
- Avid pf the Forest - Spawns in the Blackforest at night after defeating Elder. - Prefab: NPC_AvidForest
- Basar - Spawns in Ashlands at night after defeating Yagluth. - NPC_Basar
- Gaurav - Spawns in the Mistlands at night after defeating Yagluth. - NPC_Gaurav
- Kreas - Spawns in DeepNorth at night after defeating Yagluth. - NPC_Kreas
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Cultists T1</span></b></summary>
  
- Berserker Cultist - spawns in the Blackforest at night after defeating the Elder. - Prefab: NPCAxe
- Swordsman Cultist - spawns in the Swamps at night after defeating Bonemass. - Prefab: NPCSword
- Defender Cultist - spawns in the Plains at night after defeating Yagluth - Prefab: NPCMace
- Cultist Headsman - spawns in the Blackforest at night after defeating the Elder - Prefab: NPCBAxe
- Cultist Smasher - spawns in the Swamps at night after defeating Bonemass - Prefab: NPCSledge
- Cultist Piercer - spawns in the Mountains at night after defeating Moder - Prefab: NPCAtgeir
- Cultist Spearman - spawns in the Mountains at night after defeating Moder - Prefab: NPCSpear
- Assassin Cultist - spawns in the Swamps at night after defeating Bonemass - Prefab: NPCKnife
- Sniper Cultist - spawns in the Blackforest at night after defeating the Elder - Prefab: NPCBow
- Cultist Brawler - spawns in the Mountains at night after defeating Moder - Prefab: NPCFist
- Cultist Fire Wizard - spawns in the Plains at night after defeating Yagluth - Prefab: NPCFire
- Cultist Frost Wizard - spawns in the Mountains at night after defeating Moder - Prefab: NPCIce
- Cultist Lightning Wizard - spawns in the Meadows at night after defeating Eikthyr - Prefab: NPCLightning
- Cultist Poison Wizard - spawns in the Swamps at night after defeating Bonemass - Prefab: NPCPoison
- Cultist Spirit Wizard - spawns anywhere at night after defeating Yagluth - Prefab: NPCSpirit
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Mini Bosses</span></b></summary>
  
- Greydwarf Elder - spawns in the Blackforest at night after defeating a Troll - Prefab: GreydwarfShooter
- Whisper - spawns in the Swamps at night after defeating a Surtling - Prefab: Whisper
- Silver Golem - spawns in the Mountains at night after defeating Bonemass - Prefab: SilverGolem
- Queen Deathsquito - spawns in the Plains at night after defeating Moder - Prefab: QDeathsquito
- Raksha - disabled spawn by default. Prefab: QuestWolf
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Guardians</span></b></summary>
  
- Rhys - disabled spawn by default. Prefab: NPCSword_merc
- Mirren - disabled spawn by default. Prefab: NPCBow_merc
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Other Creatures</span></b></summary>
  
- Skeleton Worker - disabled spawn by default. Prefab: SkelWorker
- Fuling Thief - disabled spawn by default. Prefab: GoblinXmas
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Ashland Mobs</span></b></summary>
  
- Hell Seeker - spawns in the Ashlands after defeating Yagluth - Prefab: HellSeeker
- Hell Gjall - spawns in the Ashlands after defeating Yagluth - Prefab: HellGjall
</details>

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">Event Creatures</span></b></summary>
  
- Attack Wolf - disabled spawn by default. Prefab: AttackWolf
- Tank Lox - disabled spawn by default. Prefab: DefLox
- Giant Blob - disabled spawn by default. Prefab: EventBlob
- Frost Neck - disabled spawn by default. Prefab: EventNeck
- Frost Bonemass - disabled spawn by default. Prefab: EventBonemassA
- Fire Bonemass - disabled spawn by default. Prefab: EventBonemassB
- Wild Fenring - disabled spawn by default. Prefab: EventFenring
- Wild Fenring Cultist - disabled spawn by default. Prefab: EventFenring_Cultist
- Frost Golem - disabled spawn by default. Prefab: EventStoneGolemA
- Fire Golem - disabled spawn by default. Prefab: EventStoneGolemB
- Frost Troll - disabled spawn by default. Prefab: EventTrollA
- Fire Troll - disabled spawn by default. Prefab: EventTrollB
</details>